## cdo 1.9.9~rc9

=== debian/changelog ===
cdo (1.9.9~rc9-1) unstable; urgency=medium

  * New upstream release
  * Set Vcs-Git to point to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2020 08:53:29 +0100

cdo (1.9.9~rc8-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 07:59:48 +0100

cdo (1.9.9~rc7-1) unstable; urgency=medium

  * New upstream release
  * Change branch names, gbp.conf to match DEP-14

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Sep 2020 10:13:30 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

BUILDDIR=debian/build
BUILDDIR_FLANG=debian/build-flang

# The magic debhelper  rule
%:
	dh $@ --builddirectory=$(BUILDDIR)

DESTDIR=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC 
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND 

# FC set to f77 by default in make
# Read default compiler name unless FC is actually set
ifeq ($(F77),f77)
  F77:=$(shell basename $(shell readlink /etc/alternatives/f77))
endif

DO_FLANG:=$(if $(wildcard /usr/bin/flang),true, false)

# Flang has problems with -g on some code
FFLAGS_FLANG:=$(shell dpkg-buildflags --get FFLAGS |  sed -e 's/-g //')
FFLAGS_GFORTRAN:=$(shell dpkg-buildflags --get FFLAGS )

LIBDIR_GFORTRAN=$(LIBDIR)/fortran/$(shell basename $(shell readlink -f /usr/bin/gfortran))
LIBDIR_FLANG=$(LIBDIR)/fortran/$(shell basename $(shell readlink -f /usr/bin/flang))

ifneq ($(filter gfortran,$(F77)),)
CPPFLAGS += -DgFortran
endif
ifneq ($(filter flang,$(F77)),)
CPPFLAGS += -DflangFortran
endif

CPPFLAGS += -I/usr/include/cdTime

ARCH:=$(shell dpkg --print-architecture)
AS_NEEDED= -Wl,--as-needed

# On powerpc, amd64, arm*, don't do fPIE, only relro
ifeq ($(ARCH), amd64)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif
ifeq ($(ARCH), armel)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
  export AS_NEEDED=
  export CFLAGS= -g -O2 -Wall
endif
ifeq ($(ARCH), armhf)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif
ifeq ($(ARCH),powerpc)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
  export AS_NEEDED=
  export CFLAGS= -g -O2 -Wall
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
else
  WITH_HDF5:=--with-hdf5=/usr
endif

ifeq ($(ARCH),hppa)
  WITH_OPENMP:=--disable-openmp
else
  WITH_OPENMP:=--enable-openmp
endif

BUILD_FLAGS = \
	--prefix=/usr --libdir=$(LIBDIR) \
	--enable-cdi-lib --with-zlib=/usr --with-netcdf=/usr  --with-proj=/usr \
	$(WITH_OPENMP) $(WITH_HDF5) \
	--enable-iso-c-interface  --with-fftw3 --with-curl=/usr --with-udunits2=/usr \
	--with-szlib \
	--enable-hirlam-extensions \
	--with-libxml2=usr/ \
	--with-eccodes=/usr --disable-cgribex --with-magics=/usr

override_dh_auto_clean:
	dh_auto_clean	|| echo "distclean ok"
	rm -rf debian/build debian/build-flang

override_dh_auto_configure:
	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h
	dh_auto_configure --builddirectory=$(BUILDDIR) -- \
		FC=gfortran $(BUILD_FLAGS)  \
		LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) $(AS_NEEDED)"
	$(DO_FLANG) && dh_auto_configure --builddirectory=$(BUILDDIR_FLANG)  -- \
		LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) $(AS_NEEDED)" \
		FC=flang  FFLAGS="$(FFLAGS_FLANG)" \
		|| true

override_dh_auto_build:
	dh_auto_build --builddirectory=$(BUILDDIR) 
	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
	(cd contrib  && ruby makecompl.rb )

override_dh_auto_install:
	dh_auto_install
	for d in debian/tmp/$(LIBDIR)/pkgconfig/cdi.pc $(BUILDDIR)/libcdi/src/pkgconfig/cdi_f2003.pc ; do \
		sed -e 's%${CURDIR}%/build/cdo%g' < $$d > debian/tmp/x ; \
		mv debian/tmp/x $$d ; \
	done
	$(DO_FLANG) && ( \
		sed -e 's%${CURDIR}%/build/cdo%g' < $(BUILDDIR_FLANG)/libcdi/src/pkgconfig/cdi_f2003.pc > debian/tmp/x ; \
		mv debian/tmp/x $(BUILDDIR_FLANG)/libcdi/src/pkgconfig/cdi_f2003.pc ) || true
	mkdir -p $(DESTDIR)/usr/share/bash-completions/completions $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
	cp contrib/cdoCompletion.bash $(DESTDIR)/usr/share/bash-completions/completions/cdo
	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete 
	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran
	patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
	$(DO_FLANG) && ( \
		mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/flang ; \
		cp  ./debian/build-flang/libcdi/src/.libs/libcdi_f2003.a $(DESTDIR)/$(LIBDIR)/fortran/flang ; \
		) || true

override_dh_dwz:
	@echo "DWZ currently breaks because of patchelf"

override_dh_auto_test:
	# Need to define path to 'cdo' for python tests
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export PATH=$(PATH):$(CURDIR)/src make check
endif

## cdo 1.9.9

=== debian/changelog ===
cdo (1.9.9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Nov 2020 17:17:31 +0000

=== debian/control ===
Source: cdo
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-buildinfo, 
 dh-sequence-fortran-mod,
 libproj-dev, 
 patchelf,
 automake (>= 1.16.1-1~),
 gfortran | fortran-compiler,
 cfortran,
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, libaec-dev,
 libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
 libfftw3-dev, libudunits2-dev,
 ruby,
 libeccodes-dev (>= 2.13.1-2),
 libtool, 
 libxml2-dev,
 libmagics++-dev (>= 2.24.7-7),
 libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
Standards-Version: 4.5.0
Build-Conflicts: libcdi-dev, libcdi0
Homepage: https://code.mpimet.mpg.de/projects/cdo
Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
Vcs-Git: https://salsa.debian.org:/science-team/cdo.git -b debian/latest

Package: cdo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcdi0 ( = ${binary:Version})
Recommends: python3-cdo
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators 
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcdi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Climate Data Interface (cdi) library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

Package: libcdi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the climate data interface library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.
 This package provides development libraries to build against CDI.

## cdo 1.9.10~rc1

=== debian/changelog ===
cdo (1.9.10~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Nov 2020 15:43:05 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

=== debian/tests/control ===
Test-Command: set -e
  ; cdo --help 2> /dev/null
Depends: cdo

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import cdo"
 ; done
Depends: python3-cdo

## cdo 1.9.10~rc2

=== debian/changelog ===
cdo (1.9.10~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Dec 2020 08:59:20 +0000

## cdo 1.9.10~rc3

=== debian/changelog ===
cdo (1.9.10~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 21:41:36 +0000

## cdo 1.9.10~rc4

=== debian/changelog ===
cdo (1.9.10~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2021 07:37:20 +0000

## cdo 1.9.10

=== debian/changelog ===
cdo (1.9.10-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2021 07:30:30 +0000

## cdo 2.0.0~rc1

=== debian/changelog ===
cdo (2.0.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Apr 2021 16:18:29 +0100

## cdo 2.0.0~rc2

=== debian/changelog ===
cdo (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jun 2021 12:50:38 +0100

## cdo 2.0.0~rc3

=== debian/changelog ===
cdo (2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jun 2021 12:46:44 +0100

## cdo 2.0.0~rc4

=== debian/changelog ===
cdo (2.0.0~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jul 2021 11:45:06 +0100

## cdo 2.0.0~rc7

=== debian/changelog ===
cdo (2.0.0~rc7-1build1) jammy; urgency=medium

  * No-change rebuild against libproj22

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Oct 2021 06:18:48 +0000

cdo (2.0.0~rc7-1) unstable; urgency=medium

  * New upstream release
  * Mark autopkgtests as superficial. Closes: #974446

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Sep 2021 09:09:12 +0100

cdo (2.0.0~rc5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Update watch file for rc files

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Aug 2021 06:50:15 +0100

## cdo 2.0.0

=== debian/changelog ===
cdo (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Nov 2021 12:22:31 +0000

## cdo 2.0.1

=== debian/changelog ===
cdo (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Ensure ruby called with C.UTF-8 locale in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Nov 2021 08:39:22 +0000

## cdo 2.0.2

=== debian/changelog ===
cdo (2.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2021 07:23:36 +0000

## cdo 2.0.3

=== debian/changelog ===
cdo (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Set LC_ALL=UTF-8 in ruby doc build
  * Install cmake files in $LIBDIR/cmake/cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Jan 2022 07:39:11 +0000

## cdo 2.0.4

=== debian/changelog ===
cdo (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 08:40:08 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,7 @@
 override_dh_auto_build:
 	dh_auto_build --builddirectory=$(BUILDDIR) 
 	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
-	(cd contrib  && ruby makecompl.rb )
+	(cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: set -e
  ; cdo --help 2> /dev/null
Depends: cdo
Restrictions: superficial

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import cdo"
 ; done
Restrictions: superficial
Depends: python3-cdo

## cdo 2.0.5

=== debian/changelog ===
cdo (2.0.5-1build1) kinetic; urgency=medium

  * No-change rebuild against libproj25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:21:45 +0000

cdo (2.0.5-1) unstable; urgency=medium

  * New upstream release
  * cmake dir now libcdi, not cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Mar 2022 17:23:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-fortran-mod,

## cdo 2.0.6

=== debian/changelog ===
cdo (2.0.6-2) unstable; urgency=medium

  * Simple cdo --help test dropped as it now returns non-zero
    Closes: #1019222

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2022 13:50:53 +0100

cdo (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: don't fail on partial failur of makecomp.rb
  * Add extra files to /usr/include in libcdi-dev.install
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2022 15:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-fortran-mod,
@@ -21,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,8 @@
 override_dh_auto_build:
 	dh_auto_build --builddirectory=$(BUILDDIR) 
 	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
-	(cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
+	# Ignore error here ; it mostly works
+	- (cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
 
 override_dh_auto_install:
 	dh_auto_install

## cdo 2.1.0

=== debian/changelog ===
cdo (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Change cmake dir libcdi->cdi

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2022 08:24:12 +0100

## cdo 2.1.1

=== debian/changelog ===
cdo (2.1.1-1+deb12u1) bookworm; urgency=medium

  * Remove enable-hirlam-extensions as it causes issues with ICON data files
    Closes: #1051017

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Dec 2023 17:50:35 +0000

cdo (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Add Rules-Requires-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 10:27:47 +0000

cdo (2.0.6-3) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).
  * Fix broken Vcs URL.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 15 Nov 2022 09:33:13 -0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
- dh-buildinfo, 
+Build-Depends: debhelper-compat (= 13),
+ dh-buildinfo,
  dh-sequence-fortran-mod,
- libproj-dev, 
+ libproj-dev,
  patchelf,
  automake (>= 1.16.1-1~),
  gfortran | fortran-compiler,
  cfortran,
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, libaec-dev,
- libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,  
+ libnetcdf-dev, netcdf-bin, libhdf5-serial-dev,
  libfftw3-dev, libudunits2-dev,
  ruby,
  libeccodes-dev (>= 2.13.1-2),
- libtool, 
+ libtool,
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
@@ -24,15 +24,16 @@
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git
-Vcs-Git: https://salsa.debian.org:/science-team/cdo.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/science-team/cdo.git -b debian/latest
+Rules-Requires-Root: no
 
 Package: cdo
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcdi0 ( = ${binary:Version})
 Recommends: python3-cdo
 Description: Climate Data Operators
- Climate Data Operators are a collection of command line Operators 
- to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
+ Climate Data Operators are a collection of command line Operators
+ to manipulate and analyse Climate model Data.  Supported data formats are GRIB,
  netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.
 
 Package: libcdi0

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 # To enable all, uncomment following line
 DEB_BUILD_MAINT_OPTIONS:= hardening=+all
-DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC 
+DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
 export DEB_BUILD_MAINT_OPTIONS
-export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND 
+export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND
 
 # FC set to f77 by default in make
 # Read default compiler name unless FC is actually set
@@ -82,7 +82,6 @@
 	$(WITH_OPENMP) $(WITH_HDF5) \
 	--enable-iso-c-interface  --with-fftw3 --with-curl=/usr --with-udunits2=/usr \
 	--with-szlib \
-	--enable-hirlam-extensions \
 	--with-libxml2=usr/ \
 	--with-eccodes=/usr --disable-cgribex --with-magics=/usr
 
@@ -101,7 +100,7 @@
 		|| true
 
 override_dh_auto_build:
-	dh_auto_build --builddirectory=$(BUILDDIR) 
+	dh_auto_build --builddirectory=$(BUILDDIR)
 	$(DO_FLANG) && $(MAKE) -C $(BUILDDIR_FLANG)/libcdi/src  || true
 	# Ignore error here ; it mostly works
 	- (cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )
@@ -118,7 +117,7 @@
 	mkdir -p $(DESTDIR)/usr/share/bash-completions/completions $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
 	cp contrib/cdoCompletion.bash $(DESTDIR)/usr/share/bash-completions/completions/cdo
 	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
-	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete 
+	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete
 	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran

## cdo 2.2.0

=== debian/changelog ===
cdo (2.2.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:27:55 +0100

cdo (2.2.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2
  * pkgconfig.patch: Fix for incorrect substitution

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Apr 2023 10:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

## cdo 2.2.1

=== debian/changelog ===
cdo (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Patches rebased

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jul 2023 13:20:48 +0100

## cdo 2.3.0

=== debian/changelog ===
cdo (2.3.0-2) unstable; urgency=medium

  * Build-dep on dh-fortran-mod (>= 0.32) for multi-fortran support
  * Explicitly build-depend on architecture-is-64-bit
  * Drop hppa,arm,i386 code from d/rules (32-bit)
  * Drop 32-bit.patch
  * d/rules: drop obsolete hdf5 code

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 09:38:38 +0000

cdo (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Oct 2023 10:14:23 +0100

cdo (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Ensure build-twice works. Closes: #1043621
  * Close old obsolete bug report. Closes: #813184

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Aug 2023 07:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ architecture-is-64-bit,
  dh-buildinfo,
- dh-sequence-fortran-mod,
+ dh-fortran-mod (>= 0.32),
  libproj-dev,
  patchelf,
  automake (>= 1.16.1-1~),
- gfortran | fortran-compiler,
  cfortran,
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, libaec-dev,

=== debian/rules ===
#!/usr/bin/make -f


export DH_VERBOSE=1

include /usr/share/debhelper/dh-fortran/fortran-support.mk

BUILDDIR:=debian/build

# The magic debhelper  rule
%:
	dh $@  --builddirectory=$(BUILDDIR) --with fortran_mod

DESTDIR=$(CURDIR)/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic -fPIC
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND DEB_CFLAGS_MAINT_APPEND

# Just use gfortran in the build
CPPFLAGS += -DgFortran

CPPFLAGS += -I/usr/include/cdTime

ARCH:=$(shell dpkg --print-architecture)
AS_NEEDED= -Wl,--as-needed

# On amd64don't do fPIE, only relro
ifeq ($(ARCH), amd64)
  export LDFLAGS= -Wl,-z,relro -Wl,-z,now
endif


BUILD_FLAGS = \
	--prefix=/usr --libdir=$(LIBDIR) \
	$(WITH_OPENMP) \
	--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial \
	--with-zlib=/usr \
	--with-netcdf=/usr  \
	--with-proj=/usr \
 	--with-fftw3 \
	--with-curl=/usr \
	--with-udunits2=/usr \
	--with-szlib \
	--with-libxml2=usr/ \
	--with-eccodes=/usr \
	--with-magics=/usr \
	--enable-iso-c-interface \
	--enable-cdi-lib \
	--enable-hirlam-extensions \
	--disable-cgribex 

override_dh_auto_clean:
	dh_auto_clean	|| echo "distclean ok"
	rm -rf $(BUILDDIR)
	if test -f libcdi/src/cfortran.h.orig ; then ( rm libcdi/src/cfortran.h; mv libcdi/src/cfortran.h.orig libcdi/src/cfortran.h); fi

override_dh_auto_configure:
	[ -f libcdi/src/cfortran.h.orig ]|| ( cp libcdi/src/cfortran.h libcdi/src/cfortran.h.orig)
	ln -sf /usr/include/cfortran.h libcdi/src/cfortran.h
	for f in $(FC_DEFAULT)  ; do \
		dh_auto_configure --builddirectory=$(BUILDDIR) -- \
			FC=$$f $(BUILD_FLAGS)  \
			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) $(AS_NEEDED)" ; \
		done

override_dh_auto_build:
	dh_auto_build --builddirectory=$(BUILDDIR)
	# Ignore error here ; it mostly works
	- (cd contrib  && LC_ALL=C.UTF-8 ruby makecompl.rb )

override_dh_auto_install:
	dh_auto_install
	for d in debian/tmp/$(LIBDIR)/pkgconfig/cdi.pc $(BUILDDIR)/libcdi/src/pkgconfig/cdi_f2003.pc ; do \
		sed -e 's%${CURDIR}%/build/cdo%g' < $$d > debian/tmp/x ; \
		mv debian/tmp/x $$d ; \
	done
	mkdir -p $(DESTDIR)/usr/share/bash-completions/completions $(DESTDIR)//usr/share/zsh/functions/Completion/Linux
	cp contrib/cdoCompletion.bash $(DESTDIR)/usr/share/bash-completions/completions/cdo
	cp contrib/cdoCompletion.zsh $(DESTDIR)//usr/share/zsh/functions/Completion/Linux/_cdo
	find $(DESTDIR) -name '*.la' -delete -o -name '*.so' -delete -o -name '*.so.0' -delete
	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran
	patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0

override_dh_dwz:
	@echo "DWZ currently breaks because of patchelf"

override_dh_auto_test:
	# Need to define path to 'cdo' for python tests
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export PATH=$(PATH):$(CURDIR)/src make check
endif

## cdo 2.4.0

=== debian/changelog ===
cdo (2.4.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:47:22 +0000

cdo (2.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:43:29 +0000

cdo (2.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 17:53:56 +0000

cdo (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Ensure link for libcdi_f2003.so
  * Now add fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 06:51:37 +0000

cdo (2.3.0-3) unstable; urgency=medium

  * Typo in d/rules led to non-usage of libxml2
  * AS_NEEDED not needed in d/rules
  * Drop usage of patchelf as it was breaking mips64el builds
  * Mark bug as fixed in 2.3.0. Closes: #1051017

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Feb 2024 11:52:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  architecture-is-64-bit,
  dh-buildinfo,
  dh-fortran-mod (>= 0.32),
  libproj-dev,
- patchelf,
  automake (>= 1.16.1-1~),
  cfortran,
  libnetcdf-dev, netcdf-bin,
@@ -48,7 +48,7 @@
 Package: libcdi-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcdi0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${fortran:Depends}, libcdi0 (= ${binary:Version})
 Multi-Arch: same
 Description: Development files for the climate data interface library
  CDI is a C and Fortran Interface to access Climate model Data.

## cdo 2.4.1

=== debian/changelog ===
cdo (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 May 2024 14:07:20 +0100

## cdo 2.4.2

=== debian/changelog ===
cdo (2.4.2-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete refs to GRIB_API_* in pkgconfig 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Jun 2024 09:39:13 +0100

## cdo 2.4.3

=== debian/changelog ===
cdo (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: fix typo that breaks build

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Aug 2024 09:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: cdo
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  architecture-is-64-bit,
  dh-buildinfo,
@@ -20,7 +20,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

## cdo 2.4.4

=== debian/changelog ===
cdo (2.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Sep 2024 18:31:05 +0100

## cdo 2.5.0

=== debian/changelog ===
cdo (2.5.0-1build2) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Feb 2025 14:42:24 +0000

cdo (2.5.0-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 17:59:13 +0000

cdo (2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Jan 2025 08:23:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  architecture-is-64-bit,
- dh-buildinfo,
  dh-fortran-mod (>= 0.32),
  libproj-dev,
  automake (>= 1.16.1-1~),

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,6 @@
 CPPFLAGS += -I/usr/include/cdTime
 
 ARCH:=$(shell dpkg --print-architecture)
-AS_NEEDED= -Wl,--as-needed
 
 # On amd64don't do fPIE, only relro
 ifeq ($(ARCH), amd64)
@@ -46,7 +45,7 @@
 	--with-curl=/usr \
 	--with-udunits2=/usr \
 	--with-szlib \
-	--with-libxml2=usr/ \
+	--with-libxml2=/usr \
 	--with-eccodes=/usr \
 	--with-magics=/usr \
 	--enable-iso-c-interface \
@@ -65,7 +64,7 @@
 	for f in $(FC_DEFAULT)  ; do \
 		dh_auto_configure --builddirectory=$(BUILDDIR) -- \
 			FC=$$f $(BUILD_FLAGS)  \
-			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) $(AS_NEEDED)" ; \
+			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
 		done
 
 override_dh_auto_build:
@@ -86,10 +85,8 @@
 	mkdir -p $(DESTDIR)/$(LIBDIR)/fortran/gfortran
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.so.0.0.0  $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 	mv $(DESTDIR)/$(LIBDIR)/libcdi_f2003.a         $(DESTDIR)/$(LIBDIR)/fortran/gfortran
-	patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
+	# patchelf  --set-soname libcdi_f2003-gfortran.so.0 $(DESTDIR)/$(LIBDIR)//libcdi_f2003-gfortran.so.0.0.0
 
-override_dh_dwz:
-	@echo "DWZ currently breaks because of patchelf"
 
 override_dh_auto_test:
 	# Need to define path to 'cdo' for python tests

## cdo 2.5.1

=== libcdi/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.27 FATAL_ERROR )

message(VERBOSE "Entering libcdi")
project(cdilib VERSION 2.5.1 LANGUAGES C )
set(CMAKE_C_STANDARD 11)

include(CTest)
include(CheckIncludeFile)

# Finding libraries
### -------------- Pthread ---------------------------

option(CDI_PTHREAD "Use the pthread library [default=ON]" ON)
if(${CDI_PTHREAD})
  include(FindThreads)
  find_package(Threads REQUIRED)
  set_target_properties(Threads::Threads PROPERTIES THREADS_PREFER_PTHREAD_FLAG TRUE)
  list(APPEND cdi_compile_defs HAVE_PTHREAD=1)
  list(APPEND cdi_linked_libs pthread)
endif()

# enable default internal libs
option(CDI_LIBGRIB "GRIB support [default=ON]" ON)
if(${CDI_LIBGRIB})
  list(APPEND cdi_compile_defs HAVE_LIBGRIB=1)
endif()

option(CDI_LIBGRIBEX "Use the CGRIBEX library [default=ON]" ON)
if(${CDI_LIBGRIBEX})
  list(APPEND cdi_compile_defs LIBCGRIBEX=1)
endif()

option(CDI_EXTRA "Use the extra library [default=ON]" ON)
if(${CDI_EXTRA})
  list(APPEND cdi_compile_defs HAVE_LIBEXTRA=1)
endif()

option(CDI_IEG "Use the extra library [default=ON]" ON)
if(${CDI_IEG})
  list(APPEND cdi_compile_defs HAVE_LIBIEG=1)
endif()

option(CDI_SERVICE "Use the extra library [default=ON]" ON)
if(${CDI_SERVICE})
  list(APPEND cdi_compile_defs HAVE_LIBSERVICE=1)
endif()

# ecCodes
option(CDI_ECCODES "Use the eccodes library [default=ON]" ON)
if(${CDI_ECCODES} OR eccodes_ROOT)
  find_package(eccodes)
  if (${eccodes_FOUND})
    list(APPEND cdi_compile_defs HAVE_LIBGRIB_API=${eccodes_FOUND})
    message(VERBOSE "added compile definition HAVE_LIBGRIB_API=${eccodes_FOUND}")
    list(APPEND cdi_linked_libs eccodes)
  else()
    message(WARNING "eccodes not found, compiling without eccodes")
  endif ()
endif()

# NetCDF
option(CDI_NETCDF "Use the netcdf library [default=ON]" ON)
if(${CDI_NETCDF} OR netCDF_ROOT )
  find_package(netCDF COMPONENTS C REQUIRED)
  if (TARGET netCDF::netcdf)
    list(APPEND cdi_compile_defs
      HAVE_LIBNETCDF=${netCDF_FOUND}
      HAVE_LIBNC_DAP=${netCDF_FOUND}
      HAVE_NETCDF4=${netCDF_FOUND}
      HAVE_LIBGRIB_API=${netCDF_FOUND}
      HAVE_LIBGRIB=${netCDF_FOUND}
    )
    list(APPEND cdi_linked_libs netCDF::netcdf)
  else()
    message(WARNING "netcdf target not found, compiling without netcdf")
  endif ()
endif()

message(VERBOSE "looking for config.h in: ${PROJECT_BINARY_DIR}/src")

#adding subdirectories
## lib and general files
list(APPEND cdi_compile_defs CDI=1 CDI_SIZE_TYPE=size_t PACKAGE_NAME="${PROJECT_NAME}" VERSION="${CMAKE_PROJECT_VERSION}")
add_subdirectory(src)

#app
option(CDI_BUILD_APP "Build the app" ON)
if (CDI_BUILD_APP)
  add_subdirectory(app)
endif ()

#tests
if (BUILD_TESTING)
  add_subdirectory(tests)
endif ()

=== libcdi/app/CMakeLists.txt ===
add_executable(cdi
  cdi.c printinfo.c
)

target_include_directories(cdi PRIVATE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
  $<INSTALL_INTERFACE:include
)

target_link_libraries(cdi PRIVATE cdilib ${cdi_linked_libs})
target_include_directories(cdi PRIVATE "${PROJECT_BINARY_DIR}/src/config.h")
target_compile_definitions(cdi PRIVATE  ${cdi_netcdf_definitions})

=== libcdi/src/CMakeLists.txt ===
list( APPEND cdi_src_files
  async_worker.c
  async_worker.h
  basetime.c
  basetime.h
  binary.c
  binary.h
  calendar.c
  calendar.h
  cdf.c
  cdf.h
  cdf_config.h
  cdf_filter.c
  cdf_filter.h
  cdf_int.c
  cdf_int.h
  cdf_lazy_grid.c
  cdf_lazy_grid.h
  cdf_read.c
  cdf_records.c
  cdf_util.c
  cdf_util.h
  cdf_write.c
  cdi.h
  cdi_across.c
  cdi_across.h
  cdi_att.c
  cdi_att.h
  cdi_cksum.c
  cdi_cksum.h
  cdi_datetime.c
  cdi_datetime.h
  cdi_error.c
  cdi_fdb.c
  cdi_fdb.h
  cdi_int.c
  cdi_int.h
  cdi_key.c
  cdi_key.h
  cdi_limits.h
  cdi_query.c
  cdi_util.c
  cdi_uuid.h
  cgribex.h
  cgribexlib.c
  cksum.c
  cksum.h
  dmemory.c
  dmemory.h
  error.c
  error.h
  exse.h
  extra.h
  extralib.c
  file.c
  file.h
  gaussian_latitudes.c
  get_num_missvals.c
  get_num_missvals.h
  grb_read.c
  grb_write.c
  gribapi.c
  gribapi.h
  gribapi_utilities.c
  gribapi_utilities.h
  grid.c
  grid.h
  ieg.h
  ieglib.c
  input_file.c
  input_file.h
  institution.c
  institution.h
  iterator.c
  iterator.h
  iterator_fallback.c
  iterator_fallback.h
  iterator_grib.c
  iterator_grib.h
  julian_date.c
  julian_date.h
  model.c
  model.h
  namespace.c
  namespace.h
  normalize_month.h
  referenceCounting.c
  referenceCounting.h
  resource_handle.c
  resource_handle.h
  serialize.c
  serialize.h
  service.h
  servicelib.c
  stream.c
  stream_cdf.h
  stream_cdf_i.c
  stream_cdf_o.c
  stream_cdf_postdef.h
  stream_cdf_time.c
  stream_cgribex.c
  stream_cgribex.h
  stream_ext.c
  stream_ext.h
  stream_grb.c
  stream_grb.h
  stream_gribapi.c
  stream_gribapi.h
  stream_ieg.c
  stream_ieg.h
  stream_read.c
  stream_record.c
  stream_scan.c
  stream_scan.h
  stream_srv.c
  stream_srv.h
  stream_var.c
  stream_write.c
  subtype.c
  subtype.h
  swap.c
  swap.h
  table.c
  table.h
  tablepar.h
  taxis.c
  taxis.h
  tsteps.c
  util.c
  varscan.c
  varscan.h
  version.c
  vlist.c
  vlist.h
  vlist_var.c
  vlist_var.h
  vlist_var_key.c
  vlist_var_pack.c
  zaxis.c
  zaxis.h
)
list( APPEND cdi_pio_files
  cdipio.h
  pio.c
  pio.h
  pio_cdf_int.c
  pio_cdf_int.h
  pio_client.c
  pio_client.h
  pio_comm.c
  pio_comm.h
  pio_conf.c
  pio_conf.h
  pio_dbuffer.c
  pio_dbuffer.h
  pio_dist_grid.c
  pio_dist_grid.h
  pio_id_set.h
  pio_idxlist_cache.c
  pio_idxlist_cache.h
  pio_impl.h
  pio_interface.c
  pio_interface.h
  pio_mpi_fw_at_all.c
  pio_mpi_fw_at_reblock.c
  pio_mpi_fw_ordered.c
  pio_mpinonb.c
  pio_posixasynch.c
  pio_posixfpguardsendrecv.c
  pio_posixnonb.c
  pio_record_send.c
  pio_roles.c
  pio_rpc.c
  pio_rpc.h
  pio_serialize.c
  pio_serialize.h
  pio_server.c
  pio_server.h
  pio_util.c
  pio_util.h
  pio_xmap_cache.c
  pio_xmap_cache.h
)

list( APPEND cdi_unknown
  cfortran.h
  getline.c
  make_fint.c
  resource_unpack.c
  resource_unpack.h
)

option(CDI_BUILD_UNKNOWN "Build unknown sources in libcdi" ON)
mark_as_advanced(CDI_BUILD_UNKNOWN)
if (CDI_BUILD_UNKNOWN)
  list(APPEND cdi_src_files ${cdi_unknown})
endif ()

# Support exporting all symbolds on Windows
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

add_library(cdilib
  ${cdi_src_files}
#  INSTALL_HEADERS_LIST  cdi.h
)

target_include_directories(cdilib PRIVATE "${PROJECT_BINARY_DIR}/src/config.h")
target_link_libraries(cdilib ${cdi_linked_libs})
target_compile_definitions(cdilib PRIVATE PACKAGE_NAME="${PROJECT_NAME}" VERSION="${CMAKE_PROJECT_VERSION}" ${cdi_compile_defs})

add_library(cdilib::cdilib ALIAS cdilib)

include(GNUInstallDirs)
install(FILES cdi.h calendar.h cdi_datetime.h julian_date.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
install(TARGETS cdilib
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

include(CMakePackageConfigHelpers)
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cdi/cdi-config.cmake.in" "${CMAKE_BINARY_DIR}/cmake/cdi-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/cdi")
write_basic_package_version_file(
  "${CMAKE_BINARY_DIR}/cmake/cdi-config-version.cmake"
  VERSION "${PACKAGE_VERSION}"
  COMPATIBILITY SameMajorVersion)
install(
  FILES
    "${CMAKE_BINARY_DIR}/cmake/cdi-config.cmake"
    "${CMAKE_BINARY_DIR}/cmake/cdi-config-version.cmake"
  DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/cdi")

=== libcdi/tests/CMakeLists.txt ===

add_executable(calendar_test1.run calendar_test1.c)
add_executable(cksum_read.run cksum_read.c )
add_executable(cksum_verify.run cksum_verify.c)
add_executable(cksum_write.run cksum_write.c)
add_executable(cksum_write_chunk.run cksum_write_chunk.c)
add_executable(deco2d_model.run deco2d_model.c)
add_executable(ensure_array_size.run ensure_array_size.c)
add_executable(pio_write.run pio_write.c)
add_executable(pio_write_setup_grid.run pio_write_setup_grid.c)
add_executable(simple_model.run simple_model.c)
add_executable(simple_model_helper.run simple_model_helper.c)
add_executable(stream_cksum.run stream_cksum.c)
add_executable(test_byteswap.run test_byteswap.c)
add_executable(test_cdf_read.run test_cdf_read.c)
add_executable(test_cdf_write.run test_cdf_write.c)
add_executable(test_grib.run test_grib.c)
add_executable(test_month_adjust.run test_month_adjust.c)
add_executable(test_resource_copy.run test_resource_copy.c)
add_executable(test_table.run test_table.c)

get_property(current_targets DIRECTORY ${dir} PROPERTY BUILDSYSTEM_TARGETS)
list(APPEND test_lib_src
  var_cksum.c
  ensure_array_size.c
  stream_cksum.c
  simple_model.c
  simple_model_helper.c
  pio_write_setup_grid.c
)

add_library(test_lib ${test_lib_src})
target_include_directories(test_lib PRIVATE ../src/)
target_link_libraries(test_lib PRIVATE cdilib ${cdi_linked_libs})

foreach(target ${current_targets})
  target_include_directories(${target} PRIVATE ../src/)
  target_link_libraries(${target} PRIVATE cdilib test_lib ${cdi_linked_libs})
  add_test(NAME ${target} COMMAND ${target})
  if(labels_${target})
    set_property(TEST ${target} PROPERTY LABELS labels_${target})
  endif()
endforeach()

=== debian/changelog ===
cdo (2.5.1-1build2) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:27:01 +0200

cdo (2.5.1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:19:39 +0200

cdo (2.5.1-1) unstable; urgency=medium

  * New upstream release
  * compile-grib.patch: merged upstream
  * recinfo.patch: Patch needed for HIRLAM_EXTENSIONS to work
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Mar 2025 15:25:37 +0100

## cdo 2.5.2

=== debian/changelog ===
cdo (2.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 11:26:08 +0100

## cdo 2.5.3

=== debian/changelog ===
cdo (2.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 10:21:34 +0100

cdo (2.5.2-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 17:01:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libxml2-dev,
  libmagics++-dev (>= 2.24.7-7),
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Conflicts: libcdi-dev, libcdi0
 Homepage: https://code.mpimet.mpg.de/projects/cdo
 Vcs-Browser: https://salsa.debian.org:/science-team/cdo.git

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import cdo"
 ; done
Restrictions: superficial
Depends: python3-cdo

## cdo 2.5.4

=== debian/changelog ===
cdo (2.5.4-2) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop unnecessary Priority: optional
  * Fix VCS-browser syntax
  * d/gbp.conf: pristine-tar = True
  * Add d/salsa-ci.yml
  * Revert upstream branch name to match DEP14
  * cleanups due to cme fix
  * autopkgtests need python3-all; fail without python3.14

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Feb 2026 08:43:30 +0000

cdo (2.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Nov 2025 12:02:43 +0000

=== debian/control ===
Source: cdo
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit,
 dh-fortran-mod (>= 0.32),
 libproj-dev,
 automake,
 cfortran,
 libnetcdf-dev,
 netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev,
 libaec-dev,
 libhdf5-serial-dev,
 libfftw3-dev,
 libudunits2-dev,
 ruby,
 libeccodes-dev,
 libtool,
 libxml2-dev,
 libmagics++-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
Build-Conflicts:
 libcdi-dev,
 libcdi0,
Vcs-Browser: https://salsa.debian.org/science-team/cdo
Vcs-Git: https://salsa.debian.org/science-team/cdo.git -b debian/latest
Homepage: https://code.mpimet.mpg.de/projects/cdo
Rules-Requires-Root: no

Package: cdo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libcdi0 ( = ${binary:Version}),
Recommends:
 python3-cdo,
Description: Climate Data Operators
 Climate Data Operators are a collection of command line Operators
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB,
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcdi0
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Climate Data Interface (cdi) library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.

Package: libcdi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 ${fortran:Depends},
 libcdi0 (= ${binary:Version}),
Description: Development files for the climate data interface library
 CDI is a C and Fortran Interface to access Climate model Data.
 Supported data formats are GRIB, netCDF, SERVICE, EXTRA and IEG.
 This package provides development libraries to build against CDI.

=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,4 @@
  ; $py -c "import cdo"
  ; done
 Restrictions: superficial
-Depends: python3-cdo
+Depends: python3-cdo, python3-all

## cdo 2.6.0

=== debian/changelog ===
cdo (2.6.0-1) unstable; urgency=medium

  * debian/copyright: Quote full BSD-3-Clause; it is not in
    common-licenses
  * New upstream release
  * pkgconfig.patch merged upstream
  * Move dh-fortran-mod -> dh-fortran
  * Link against gfortran, json-c for cmor
  * Enable --cmor conforming netcdf

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2026 13:11:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  architecture-is-64-bit,
- dh-fortran-mod (>= 0.32),
+ dh-fortran,
  libproj-dev,
  automake,
  cfortran,
@@ -23,6 +23,8 @@
  libtool,
  libxml2-dev,
  libmagics++-dev,
+ libjson-c-dev,
+ libcmor-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev  | libcurl4-nss-dev,
 Build-Conflicts:
  libcdi-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # The magic debhelper  rule
 %:
-	dh $@  --builddirectory=$(BUILDDIR) --with fortran_mod
+	dh $@  --builddirectory=$(BUILDDIR) --with fortran
 
 DESTDIR=$(CURDIR)/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -49,6 +49,7 @@
 	--with-eccodes=/usr \
 	--with-magics=/usr \
 	--enable-iso-c-interface \
+	--with-cmor=/usr \
 	--enable-cdi-lib \
 	--enable-hirlam-extensions \
 	--disable-cgribex 
@@ -64,7 +65,7 @@
 	for f in $(FC_DEFAULT)  ; do \
 		dh_auto_configure --builddirectory=$(BUILDDIR) -- \
 			FC=$$f $(BUILD_FLAGS)  \
-			LIBS="-lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
+			LIBS="-lgfortran -ljson-c -lm -ljpeg -lz -lcurl" LDFLAGS="$(LDFLAGS) -Wl,--as-needed" ; \
 		done
 
 override_dh_auto_build:
